--- /dev/null
+#!/bin/sh
+
+# DO NOT EDIT - This file is being maintained by Chef
+
+export TZ=UTC
+
+exec >> /var/log/replication/streaming-replicator 2>&1
+
+exec /usr/local/bin/osmosis -q \
+ --replicate-apidb iterations=0 minInterval=10000 maxInterval=60000 authFile=/etc/replication/auth.conf \
+ --send-replication-sequence port=8081 \
+ --write-replication workingDirectory=/var/lib/replication/streaming
--- /dev/null
+#!/bin/sh
+
+# DO NOT EDIT - This file is being maintained by Chef
+
+export TZ=UTC
+
+exec >> /var/log/replication/streaming-server 2>&1
+
+exec /usr/local/bin/osmosis -q \
+ --send-replication-data dataDirectory=/var/lib/replication/streaming port=8080 notificationPort=8081
group "root"
mode 0644
end
+
+directory "/var/lib/replication/streaming" do
+ owner "planet"
+ group "planet"
+ mode 0755
+end
+
+directory "/var/log/replication" do
+ owner "planet"
+ group "planet"
+ mode 0755
+end
+
+[ "streaming-replicator", "streaming-server" ].each do |name|
+ template "/etc/init.d/#{name}" do
+ source "streaming.init.erb"
+ owner "root"
+ group "root"
+ mode 0755
+ variables :service => name
+ end
+
+ service name do
+ action [ :enable, :start ]
+ supports :restart => true, :status => true
+ subscribes :restart, "template[/etc/init.d/#{name}]"
+ end
+end
--- /dev/null
+#!/bin/bash
+
+# DO NOT EDIT - This file is being maintained by Chef
+
+start() {
+ start-stop-daemon --start --chuid planet --background --make-pidfile --pidfile /var/run/<%= @service %>.pid --exec /usr/local/bin/<%= @service %>
+}
+
+stop() {
+ start-stop-daemon --stop --retry 300 --pidfile /var/run/<%= @service %>.pid
+}
+
+status() {
+ start-stop-daemon --status --pidfile /var/run/<%= @service %>.pid
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop || exit $?
+ start
+ ;;
+ status)
+ status
+ ;;
+esac